Name:           glimmer
Version:        3.02
Release:        1%{?dist}
Summary:        System for finding genes in microbial DNA

Group:          Applications/Engineering
License:        Artistic
URL:            http://www.cbcb.umd.edu/software/glimmer
Source0:        http://www.cbcb.umd.edu/software/glimmer/glimmer302.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       elph

%description
Glimmer is a system for finding genes in microbial DNA, especially the genomes
of bacteria, archaea, and viruses. Glimmer (Gene Locator and Interpolated
Markov ModelER) uses interpolated Markov models (IMMs) to identify the coding
regions and distinguish them from noncoding DNA.


%prep
%setup -q -n glimmer3.02
rm -f sample-run/g3-*
sed -i "s+/fs/szgenefinding/Glimmer3/bin+%{_libexecdir}/glimmer3+" scripts/g3-*
sed -i "s+/fs/szgenefinding/Glimmer3/scripts+%{_datadir}/glimmer3+" scripts/g3-*
sed -i "s+/nfshomes/adelcher/bin/elph+%{_bindir}/elph+" scripts/g3-*
sed -i "s/@ if/if/" src/c_make.gen


%build
make -C src %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS"


%check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/glimmer3
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glimmer3
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 scripts/g3-* $RPM_BUILD_ROOT/%{_bindir}
install -m 755 bin/[a-su-z]* $RPM_BUILD_ROOT%{_libexecdir}/glimmer3
install -m 755 scripts/*.awk $RPM_BUILD_ROOT%{_datadir}/glimmer3
ln -s ../libexec/glimmer3/glimmer3 $RPM_BUILD_ROOT/%{_bindir}/glimmer3


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE glim302notes.pdf sample-run
%{_bindir}/*
%{_datadir}/glimmer3/
%{_libexecdir}/glimmer3/


%changelog
* Thu Feb 22 2007 Christian Iseli <Christian.Iseli@licr.org> 3.02-1
 - Import in FC-6.

* Fri Feb  9 2007 Christian Iseli <Christian.Iseli@licr.org> 3.02-0
 - Create spec file.
